#include <stdio.h>
#include <stddef.h>
#include <string.h>
#include <stdlib.h>

#include "cms_util.h"

int cms_util_file_exists(char* fname)
{
	FILE* f;
	if (f = fopen(fname, "r"))
	{
		fclose(f);
		return 1;
	}

	return 0;
}

void cms_util_file_create(char* fname)
{
	FILE* f = fopen(fname, "ab+");
	fclose(f);
}

char* cms_util_join_paths(char* str1, char* str2)
{
	size_t len1 = strlen(str1);
	size_t len2 = strlen(str2);

	if (str1[len1 - 1] == '/')
	{
		len1 -= 1;
	}

	char* path = malloc((len1 + len2 + 1) * sizeof(char));

	if (path == NULL)
		return NULL;

	memcpy(path, str1, len1); //First part
	path[len1] = '/'; //Separator
	memcpy(path + len1 + 1, str2, len2); //Second part
	path[len1 + len2 + 1] = '\0'; //Null terminator

	return path;
}
